using System.Collections.Generic;

namespace StreamBuddy.PluginInterface.Commands
{
    public delegate void CommandFunc(Users.IUser Sender, params string[] Parameters);

    public interface ICommandManager
    {
        IReadOnlyList<CommandAttribute> EnabledCommands { get; }

        void EnableCommand(CommandFunc Command);
        void DisableCommand(CommandFunc Command);
    }
}
